GNU bug report logs - #11274
23.1; auto-save invoked in read-only directories

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: <danh@HIDDEN>; merged with #18907; dated Wed, 18 Apr 2012 22:32:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 11274 18907. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11274 <at> debbugs.gnu.org:


Received: (at 11274) by debbugs.gnu.org; 20 Apr 2012 01:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 19 21:04:42 2012
Received: from localhost ([127.0.0.1]:42999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SL2HB-0008CT-TL
	for submit <at> debbugs.gnu.org; Thu, 19 Apr 2012 21:04:42 -0400
Received: from fmmailgate05.web.de ([217.72.192.243]:53747)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SL2H7-0008CE-0X
	for 11274 <at> debbugs.gnu.org; Thu, 19 Apr 2012 21:04:38 -0400
Received: from moweb001.kundenserver.de (moweb001.kundenserver.de
	[172.19.20.114])
	by fmmailgate05.web.de (Postfix) with ESMTP id 46B3E6DE6E74
	for <11274 <at> debbugs.gnu.org>; Fri, 20 Apr 2012 03:04:09 +0200 (CEST)
Received: from snow.dragon ([89.204.137.12]) by smtp.web.de (mrweb002) with
	ESMTPA (Nemesis) id 0MSJ0V-1SoV7k26I7-00TVGw;
	Fri, 20 Apr 2012 03:04:08 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Kevin Rodgers <kevin.d.rodgers@HIDDEN>
Subject: Re: bug#11274: 23.1; auto-save invoked in read-only directories
References: <1334783017.019980.2631.nullmailer@HIDDEN>
	<jmoc6p$k0$1@HIDDEN>
Date: Fri, 20 Apr 2012 03:06:04 +0200
In-Reply-To: <jmoc6p$k0$1@HIDDEN> (Kevin Rodgers's message of "Thu,
	19 Apr 2012 00:44:33 -0600")
Message-ID: <87lilrnrer.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V02:K0:9zDvzsNVWHF6yva1apSM7fZBBqTt2UAkfja5nwtOIlp
	sspYq5mXqXxbsjNBvm0MHI0Lm5U7c2O0fBSosN2ABExo3xmopF
	ShNDg5AQi4f2Qxfs8jtT+dp8+jjEVEFlHssFXqZOYxo7TyaQNT
	GNRboZhy+nGbXgU1dAvO+OLdKzsxwI0F6UAIZvKOKYQyhA98Lx
	+LyMqF8Cf1C8WNZluYgxP8M50axVoIe/tM83qy0Vw4=
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11274
Cc: 11274 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Hello Kevin,

> On 4/18/12 3:03 PM, danh@HIDDEN wrote:
> > When i edit a file in a directory to which i do not have
> > write-permission (such as /etc), after i type a line or
> > two of text, or type a few characters and then move around
> > in the buffer, emacs will suddenly freeze and just print
> > a message in the mini-buffer that my text could not be auto-saved.
> >
> > The message stays up for several seconds before it
> > yields control of the terminal back to me.
> >
> > This is extremely inconvenient, and the only way i can
> > prevent this from happening is to frequently save the file.
>
> These statements seem contradictory to me:
>
> > I do not want to turn auto-save off, or to mark any buffers
>                                        ^^^^^^^^^^^^^^^^^^^^^^
> > as to not be auto-saved, or to change the location of the
>   ^^^^^^^^^^^^^^^^^^^^^^^
> > auto-saves (unless it can be done once and forever, only
> > apply to files in write-protected directories and no others,
> > and not require a listing of either the files or directories
> > to which it is to be applied).
> >
> > The desired behavior is that emacs recognize that a directory
>                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > is write-protected, and if an attempt to write to that directory
>   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > fails, that it fail silently.  (It would be quite OK to have
>   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > this governed by the behavior of a variable set in my .emacs file.)

He means that he doesn't want to have to intervene in any form.  He
wants that Emacs turns off auto saving for the file when it's not
possible to auto-save.

> =EF=BB=BF=EF=BB=BF=EF=BB=BF(add-hook 'find-file-hook
> 	  (lambda () (when (file-writable-p
> 			    (file-name-directory buffer-file-name))
> 		       (auto-save-mode 0))))
>
> (add-hook 'find-file-not-found-functions
> 	  (lambda () (when (file-writable-p
> 			    (file-name-directory buffer-file-name))
> 		       (auto-save-mode 0))
> 		     ;; don't short-circuit run-hook-with-args-until-success:
> 		     nil))

Yes, something like that works no doubt (I think you mean
(not (file-writable-p ...)) ).

In addition, there should be a warning for the user.

But something like that should not have to be done in the user's
configuration.  The current behavior of Emacs makes no sense at all.  It
continues to try to autosave, fails every time, beeps and beeps and
shows messages.  This is not only very annoying, it does not make any
sense at all - it has no benefit for the user.

So, can we add something like the above code to Emacs?


Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11274; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Apr 2012 06:44:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 19 02:44:37 2012
Received: from localhost ([127.0.0.1]:40770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKl6X-0005TV-G3
	for submit <at> debbugs.gnu.org; Thu, 19 Apr 2012 02:44:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36302)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1SKl6S-0005TG-5p
	for submit <at> debbugs.gnu.org; Thu, 19 Apr 2012 02:44:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1SKl61-00072y-60
	for submit <at> debbugs.gnu.org; Thu, 19 Apr 2012 02:44:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.4 required=5.0 tests=BAYES_00,BODY_8BITS,
	FREEMAIL_FROM,RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56308)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1SKl61-00072u-2m
	for submit <at> debbugs.gnu.org; Thu, 19 Apr 2012 02:44:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51209)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1SKl5w-00087L-BO
	for bug-gnu-emacs@HIDDEN; Thu, 19 Apr 2012 02:44:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1SKl5p-000724-Qu
	for bug-gnu-emacs@HIDDEN; Thu, 19 Apr 2012 02:43:55 -0400
Received: from plane.gmane.org ([80.91.229.3]:47403)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1SKl5p-00071x-Jv
	for bug-gnu-emacs@HIDDEN; Thu, 19 Apr 2012 02:43:49 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1SKl5n-0008R4-7F
	for bug-gnu-emacs@HIDDEN; Thu, 19 Apr 2012 08:43:47 +0200
Received: from c-71-237-25-24.hsd1.co.comcast.net ([71.237.25.24])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 19 Apr 2012 08:43:47 +0200
Received: from kevin.d.rodgers by c-71-237-25-24.hsd1.co.comcast.net with
	local (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Thu, 19 Apr 2012 08:43:47 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Kevin Rodgers <kevin.d.rodgers@HIDDEN>
Subject: Re: bug#11274: 23.1; auto-save invoked in read-only directories
Date: Thu, 19 Apr 2012 00:44:33 -0600
Lines: 58
Message-ID: <jmoc6p$k0$1@HIDDEN>
References: <1334783017.019980.2631.nullmailer@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: c-71-237-25-24.hsd1.co.comcast.net
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US;
	rv:1.9.2.28) Gecko/20120306 Thunderbird/3.1.20
In-Reply-To: <1334783017.019980.2631.nullmailer@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 4/18/12 3:03 PM, danh@HIDDEN wrote:
> When i edit a file in a directory to which i do not have
> write-permission (such as /etc), after i type a line or
> two of text, or type a few characters and then move around
> in the buffer, emacs will suddenly freeze and just print
> a message in the mini-buffer that my text could not be auto-saved.
>
> The message stays up for several seconds before it
> yields control of the terminal back to me.
>
> This is extremely inconvenient, and the only way i can
> prevent this from happening is to frequently save the file.

These statements seem contradictory to me:

> I do not want to turn auto-save off, or to mark any buffers
                                        ^^^^^^^^^^^^^^^^^^^^^^
> as to not be auto-saved, or to change the location of the
   ^^^^^^^^^^^^^^^^^^^^^^^
> auto-saves (unless it can be done once and forever, only
> apply to files in write-protected directories and no others,
> and not require a listing of either the files or directories
> to which it is to be applied).
>
> The desired behavior is that emacs recognize that a directory
                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> is write-protected, and if an attempt to write to that directory
   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> fails, that it fail silently.  (It would be quite OK to have
   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> this governed by the behavior of a variable set in my .emacs file.)

(add-hook 'find-file-hook
	  (lambda () (when (file-writable-p
			    (file-name-directory buffer-file-name))
		       (auto-save-mode 0))))

(add-hook 'find-file-not-found-functions
	  (lambda () (when (file-writable-p
			    (file-name-directory buffer-file-name))
		       (auto-save-mode 0))
		     ;; don't short-circuit run-hook-with-args-until-success:
		     nil))

> I am not the only person who has reported this problem to
> newsgroups, but i wasn't aware of the possibility of filing
> a bug from within emacs until Michael Heerdegen told me
> about it.
>
> (Note that emacs does not crash, and never has for me.  But
> the freezing happens to me, colleagues of mine, and people
> i've never heard of on the newsgroups.)
>
> dan  (danh@HIDDEN)

-- 
Kevin Rodgers
Denver, Colorado, USA





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11274; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Apr 2012 22:31:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 18 18:31:11 2012
Received: from localhost ([127.0.0.1]:40433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SKdP1-0000vJ-K4
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2012 18:31:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54417)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <danh@HIDDEN>) id 1SKce7-0007QN-Cc
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2012 17:42:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <danh@HIDDEN>) id 1SKcdj-0006Rw-3f
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2012 17:42:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:60133)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <danh@HIDDEN>) id 1SKcdj-0006Rs-0H
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2012 17:42:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49986)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <danh@HIDDEN>) id 1SKcde-0001CW-R3
	for bug-gnu-emacs@HIDDEN; Wed, 18 Apr 2012 17:42:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <danh@HIDDEN>) id 1SKcda-0006RQ-6B
	for bug-gnu-emacs@HIDDEN; Wed, 18 Apr 2012 17:42:10 -0400
Received: from mail.us.archive.org ([207.241.224.6]:58083
	helo=mail.archive.org) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <danh@HIDDEN>) id 1SKcdZ-0006RD-Tf
	for bug-gnu-emacs@HIDDEN; Wed, 18 Apr 2012 17:42:06 -0400
Received: from localhost (localhost [127.0.0.1])
	by mail.archive.org (Postfix) with ESMTP id A3AA9684109C;
	Wed, 18 Apr 2012 14:03:39 -0700 (PDT)
Received: from mail.archive.org ([127.0.0.1])
	by localhost (mail.archive.org [127.0.0.1]) (amavisd-new, port 10024)
	with LMTP id J2mk6Hf8JX5v; Wed, 18 Apr 2012 14:03:38 -0700 (PDT)
Received: from vm-home1.us.archive.org (vm-home1.us.archive.org
	[207.241.224.4])
	by mail.archive.org (Postfix) with SMTP id A61AE684106F;
	Wed, 18 Apr 2012 14:03:37 -0700 (PDT)
Received: (nullmailer pid 2632 invoked by uid 13003);
	Wed, 18 Apr 2012 21:03:37 -0000
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; auto-save invoked in read-only directories
Date: Wed, 18 Apr 2012 14:03:37 -0700
Message-Id: <1334783017.019980.2631.nullmailer@HIDDEN>
From: <danh@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 18 Apr 2012 18:31:06 -0400
Cc: danh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

When i edit a file in a directory to which i do not have
write-permission (such as /etc), after i type a line or
two of text, or type a few characters and then move around
in the buffer, emacs will suddenly freeze and just print
a message in the mini-buffer that my text could not be auto-saved.

The message stays up for several seconds before it
yields control of the terminal back to me.

This is extremely inconvenient, and the only way i can
prevent this from happening is to frequently save the file.

I do not want to turn auto-save off, or to mark any buffers
as to not be auto-saved, or to change the location of the
auto-saves (unless it can be done once and forever, only
apply to files in write-protected directories and no others,
and not require a listing of either the files or directories
to which it is to be applied).

The desired behavior is that emacs recognize that a directory
is write-protected, and if an attempt to write to that directory
fails, that it fail silently.  (It would be quite OK to have
this governed by the behavior of a variable set in my .emacs file.)

I am not the only person who has reported this problem to
newsgroups, but i wasn't aware of the possibility of filing
a bug from within emacs until Michael Heerdegen told me
about it.

(Note that emacs does not crash, and never has for me.  But
the freezing happens to me, colleagues of mine, and people
i've never heard of on the newsgroups.)

dan  (danh@HIDDEN)


In GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-11-23 on yellow, modified by Debian
configured using `configure  '--build=x86_64-linux-gnu' '--host=x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 1 ; 2 4 0 3 ; 0 c ESC x C-f r e p o r t - e 
m TAB RET

Recent messages:
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...done
Loading /etc/emacs/site-start.d/50git-core.el (source)...done
Loading /etc/emacs/site-start.d/50js2-mode.el (source)...done
Loading /etc/emacs/site-start.d/50mmm-mode.el (source)...done
Loading /etc/emacs/site-start.d/50php-elisp.el (source)...done
Loading /etc/emacs/site-start.d/50psvn.el (source)...done
Loading /home/danh/elisp/readonly.el (source)...done
Loading /home/danh/.abbrev_defs...done
For information about GNU Emacs and the GNU system, type C-h C-a.
call-interactively: End of buffer




Acknowledgement sent to <danh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11274; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Jun 2016 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.